/*
 * CCP3.c
 *
 *  Created on: 2019-8-26
 *      Author: charles_cai
 */
#include"main.h"

#ifndef CCP3_C_
#define CCP3_C_
/*
 * 函数功能：初始化CCP4
 * 输入0时，配置为捕捉模式。输入1时，配置为
 */
void Init_CCP4(unsigned char mode)
{
	APFCTL1 =0x04;//将CCP4复用到P12上
	if(!mode)
	{
		TR12 =1;//P12设置为输入
		PUR12 =1;//使能P12的上拉功能
		CCP4CTL =0x05;//捕捉上升沿
	}
	else
	{
		CCP4CTL =0x12;//比较模式，电平翻转
	}
}

#endif /* CCP3_C_ */
